<template>

  <div>
    <div class="dimmed modal21" @click="adminDetailModalClose();"></div>
    <div class="popup-wrap modal21">
      <div class="popup modal21 popup_form">
        <div class="pop-head">
          <h3 class="pop-tit">메시지 상세 내용</h3>
        </div>
        <form autocomplete="off">
          <table>
            <tbody>
            <tr>
              <th>내용</th>
              <td>{{ notiMsg }}</td>
            </tr>
            <tr>
              <th>등록 일시</th>
              <td>{{ regDt }}</td>
            </tr>        
            </tbody>
          </table>
        </form>
        <div class="popup-btn2">
          <button class="btn-default" @click="adminDetailModalClose();">닫기</button>
        </div>
      </div>
    </div>
  </div>
</template>


<script>

export default {
  name: "notiDetailPop",
  watch: {
    stat() {
    }
  },
  data() {
    return {
      row: {},
      notiMsg: '',
      regDt : ''
    }
  },
  model: {
    prop: 'sendData',
    event: 'event-data'
  },
  props: ['sendData'],
  methods: {
    // 모달 띄우기
    async notiDetailModalOpen(props) {
      this.row.notiMsg = props.notiMsg;
      this.row.regDt = props.regDt;
      this.notiMsg = this.row.notiMsg;
      this.regDt = this.row.regDt;
      var dimmed = document.getElementsByClassName('modal21');
      for (var i = 0; i < dimmed.length; i++) {
        dimmed[i].style.display = 'block';
      }
    },
    // 모달 끄기
    adminDetailModalClose() {
      var dimmed = document.getElementsByClassName('modal21');
      for (var i = 0; i < dimmed.length; i++) {
        dimmed[i].style.display = 'none';
      }
    },
  }
}
</script>